#!/usr/bin/env python
import inspect
from public import public


@public
def isobject(obj):
    if not obj:
        return
    if not hasattr(obj, '__dict__'):
        return False
    if inspect.isroutine(obj):
        return False
    if inspect.isclass(obj):
        return False  # if type(object) == types.TypeType:
    return True
